Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037911
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-02-14 10:362018-02-20 13:05
ReportermarvintmView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revision51a8ffee8780
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037911: Letters can be typed in the cashup window when counting the cash, not just numbers

DescriptionCurrently it is possible to type letters or other alphanumeric symbols in the cashup window when counting the cash, and not just numbers. This then causes problems when processing the cashup. Before, it was not possible to do it.
Steps To Reproduce- Configure "Use external input" in POS Terminal Type window.
- Log in the WebPOS, and go to cashup window
- Verify that you can type letters in addition to numbers, and that it is not correct.
Proposed SolutionCheck enyo.allow.text property
TagsNo tags attached.
Attached Filespatch file icon issue 37911 source posterminal.patch [^] (2,342 bytes) 2018-02-14 13:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0037920RR18Q1 closedranjith_qualiantech_com Letters can be typed in the cashup window when counting the cash, not just numbers 
depends on backport 0037921RR17Q4.2 closedranjith_qualiantech_com Letters can be typed in the cashup window when counting the cash, not just numbers 

-  Notes
(0102476)
hgbot (developer)
2018-02-18 09:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 51a8ffee87802bf99ef8d05ed3131328a670f96f
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sun Feb 18 14:29:00 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51a8ffee87802bf99ef8d05ed3131328a670f96f [^]

Fixed issue 37911 : Added Keyboard keyMatcher for Cashup and Cash Management keyboards

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/view/cashmgmtkeyboard.js
M web/org.openbravo.retail.posterminal/js/closecash/view/closekeyboard.js
---
(0102477)
hgbot (developer)
2018-02-18 09:59

Repository: tools/automation/pi-mobile
Changeset: f6297c9487d9a4eeb60eb5cfce7b9baa24d60583
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sun Feb 18 14:29:46 2018 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f6297c9487d9a4eeb60eb5cfce7b9baa24d60583 [^]

Verifies issue 37911 : Added automated test 'I37911_VerifyKeyboardOnCashup'

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/system/I37911_VerifyKeyboardOnCashup.java
---

- Issue History
Date Modified Username Field Change
2018-02-14 10:36 marvintm New Issue
2018-02-14 10:36 marvintm Assigned To => Retail
2018-02-14 10:36 marvintm Triggers an Emergency Pack => No
2018-02-14 11:05 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-02-14 11:05 ranjith_qualiantech_com Status new => scheduled
2018-02-14 12:19 ranjith_qualiantech_com File Added: issue 37911 source posterminal.patch
2018-02-14 13:05 ranjith_qualiantech_com File Deleted: issue 37911 source posterminal.patch
2018-02-14 13:05 ranjith_qualiantech_com File Added: issue 37911 source posterminal.patch
2018-02-15 08:57 marvintm Status scheduled => acknowledged
2018-02-15 08:57 marvintm Status acknowledged => scheduled
2018-02-18 09:59 hgbot Checkin
2018-02-18 09:59 hgbot Note Added: 0102476
2018-02-18 09:59 hgbot Status scheduled => resolved
2018-02-18 09:59 hgbot Resolution open => fixed
2018-02-18 09:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51a8ffee87802bf99ef8d05ed3131328a670f96f [^]
2018-02-18 09:59 hgbot Checkin
2018-02-18 09:59 hgbot Note Added: 0102477
2018-02-20 13:04 marvintm Review Assigned To => marvintm
2018-02-20 13:04 marvintm Status resolved => closed
2018-02-20 13:04 marvintm Fixed in Version => RR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker